Bug 362251 - EAP-PEAP support missing from NetworkManager 0.7
Summary: EAP-PEAP support missing from NetworkManager 0.7
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 368171 384831 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-01 17:44 UTC by Russell Harrison
Modified: 2007-12-04 21:23 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-12-03 05:35:47 UTC


Attachments (Terms of Use)
nm-applet crash without CA cert supplied (366.49 KB, text/plain)
2007-11-19 16:22 UTC, Russell Harrison
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 492424 None None None Never

Description Russell Harrison 2007-11-01 17:44:33 UTC
Description of problem:
Support for PEAP as an EAP authentication method seems to have disappeared in
NetworkManager 0.7.  Its working quite well in Fedora 7 but support for it seems
to be missing in rawhide.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-svn3030.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. Select a WPA or WPA2 wireless network in the NetworkManager menu.
2. Attempt to select PEAP as your Authentication method.

Actual results:
PEAP is not an available option.

Expected results:
PEAP should be available in the drop down as a supported authentication method.

Additional info:
PEAP is a working option in NetworkManager 0.6.5

Comment 1 Dan Williams 2007-11-06 16:08:54 UTC
*** Bug 368171 has been marked as a duplicate of this bug. ***

Comment 2 Dan Williams 2007-11-15 21:37:11 UTC
*** Bug 384831 has been marked as a duplicate of this bug. ***

Comment 3 Dan Williams 2007-11-15 21:50:30 UTC
PEAP should be in 0.7.0-0.6.3.svn3094 and later.  Does anyone need peaplabel=X ?

Comment 4 Thomas Canniot 2007-11-19 10:09:49 UTC
I don't know if I need it. If it is easily add-able, thank you for adding it :)

Comment 5 Rui Matos 2007-11-19 11:00:54 UTC
(In reply to comment #3)
> PEAP should be in 0.7.0-0.6.3.svn3094 and later.  Does anyone need peaplabel=X ?

Nope, I don't need it. The svn version 3094 from koji is working for me.

Comment 6 Thomas Canniot 2007-11-19 11:13:46 UTC
Where could I get the svn version 3094 ?

Comment 7 Rui Matos 2007-11-19 11:18:21 UTC
(In reply to comment #6)
> Where could I get the svn version 3094 ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=24507

Comment 8 Thomas Canniot 2007-11-19 16:15:15 UTC
Thansk, and it works for me either.

Comment 9 Russell Harrison 2007-11-19 16:22:28 UTC
Created attachment 263631 [details]
nm-applet crash without CA cert supplied

Comment 10 Russell Harrison 2007-11-19 16:25:12 UTC
nm-applet crashes if I don't specify a CA certificate.  It does connect if I do
supply one.  I've attached the bug-buddy output from the crash.

Comment 11 Dan Williams 2007-11-21 07:31:24 UTC
Russell: could you try
http://koji.fedoraproject.org/koji/buildinfo?buildID=24924 and see if that fixes
the crash?

Comment 12 Russell Harrison 2007-11-21 09:05:50 UTC
That seems to be the money build!  I was able to loging without a CA cert PEAP0.

Comment 13 Fedora Update System 2007-11-29 01:43:58 UTC
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'

Comment 14 Russell Harrison 2007-11-30 21:56:58 UTC
This version has the nm-applet crash problem.  Also when I attempt to select a
CA there is a "Untitled Filter" active in the open file dialog that won't let me
see the cert file.

Comment 15 Fedora Update System 2007-12-03 05:35:37 UTC
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Dan Williams 2007-12-03 14:54:44 UTC
Your certificates need to be PEM or DER formatted.  They can't be pkcs12 at this
time.

Comment 17 Russell Harrison 2007-12-03 23:36:07 UTC
I thought that .cer was a valid name for a DER formatted cert.  Is that not the
case?

$ openssl x509 -inform DER -in DSTRootCAX3.cer -noout -text

Seems to accept the file just fine.

Comment 18 Hacksaw 2007-12-04 21:08:08 UTC
I also have an nm-applet crash problem with the svn3109 release. In mine I tell
it to ignore that I don't have a CA, and it then croaks. Should I file a
different bug?


Comment 19 Dan Williams 2007-12-04 21:23:12 UTC
No, already taken care of in an upcoming update.  Thanks though.


Note You need to log in before you can comment on or make changes to this bug.